| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Script::LoadableScriptSpecialFunctionBase Class Reference

Base cls. for various special function loadable scripts. More...

Inheritance diagram for IG::Script::LoadableScriptSpecialFunctionBase:
[legend]
Collaboration diagram for IG::Script::LoadableScriptSpecialFunctionBase:
[legend]

List of all members.

## Public Member Functions
| LoadableScriptSpecialFunctionBase ()
override void | Script_AddCommand (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings, string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object.
override void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Adds commands to the internal interpreter.
string | AppMyTest (string[] arguments)
| Test action.
virtual string | AppCustomApp (string[] arguments)
| Custom application.
## Public Attributes
const string | ConstMyTest = "MyTest"
| Name of the command that performs my custom test.
const string | ConstHelpMyTest = "Custom test function."
const string | ConstCustomApp = "CustomApp"
| Name of the command for custom test.
const string | ConstHelpCustomApp = "Custom aplication."
## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Initializes the current object.
override string | RunThis (string[] arguments)
| Runs action of the current object.

## Detailed Description

Base cls. for various special function loadable scripts.

$A Igor xx;

## Constructor & Destructor Documentation

IG::Script::LoadableScriptSpecialFunctionBase::LoadableScriptSpecialFunctionBase | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Script::LoadableScriptSpecialFunctionBase::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Initializes the current object.

Implements IG::Lib::LoadableScriptBase.

Reimplemented in IG::Script::ScriptAppBase.

override string IG::Script::LoadableScriptSpecialFunctionBase::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Runs action of the current object.

Parameters:

  arguments | Command-line arguments of the action.

Implements IG::Lib::LoadableScriptBase.

Reimplemented in IG::Script::ScriptAppBase.

override void IG::Script::LoadableScriptSpecialFunctionBase::Script_AddCommand | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings,
|  | string | commandName,
|  | Script_CommandDelegate | command,
|  | string | helpString
| ) |  | `[inline, virtual]`

Adds a new internal script command under specified name to the internal interpreter of the current script object.

Parameters:

  interpreter | Interpreter on which the command is added.
  commandName | Name of the command.

Must not be null or empty string.

Parameters:

  command | Method that executes the command.

Must not be null.

Parameters:

  helpString | Help string associated with command, optionsl (can be null).

Reimplemented from IG::Lib::LoadableScriptBase.

override void IG::Script::LoadableScriptSpecialFunctionBase::Script_AddCommands | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings
| ) |  | `[inline, virtual]`

Adds commands to the internal interpreter.

Parameters:

  interpreter | Interpreter where commands are executed.
  helpStrings | List containg help strings.

Reimplemented from IG::Lib::LoadableScriptBase.

Reimplemented in IG::Script::AppBase, IG::Script::ScriptAppBase, and IG::Script::AppExtBase.

string IG::Script::LoadableScriptSpecialFunctionBase::AppMyTest | ( | string[] | arguments | ) | `[inline]`

Test action.

Parameters:

  arguments | Array of command-line arguments.

Reimplemented in IG::Script::ScriptAppBase.

virtual string IG::Script::LoadableScriptSpecialFunctionBase::AppCustomApp | ( | string[] | arguments | ) | `[inline, virtual]`

Custom application.

Reimplemented in IG::Script::ScriptAppBase.

## Member Data Documentation

const string IG::Script::LoadableScriptSpecialFunctionBase::ConstMyTest = "MyTest"

Name of the command that performs my custom test.

Reimplemented in IG::Script::ScriptAppBase.

const string IG::Script::LoadableScriptSpecialFunctionBase::ConstHelpMyTest = "Custom test function."

Reimplemented in IG::Script::ScriptAppBase.

const string IG::Script::LoadableScriptSpecialFunctionBase::ConstCustomApp = "CustomApp"

Name of the command for custom test.

Reimplemented in IG::Script::ScriptAppBase.

const string IG::Script::LoadableScriptSpecialFunctionBase::ConstHelpCustomApp = "Custom aplication."

Reimplemented in IG::Script::ScriptAppBase.

The documentation for this class was generated from the following file:

- ScriptAppBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events